=== debian/changelog ===
erlang-jose (1.8.4-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:42 +0100

erlang-jose (1.8.4-1) unstable; urgency=medium

  * Initial release (Closes: #882646)

 -- Philipp Huebner <debalance@debian.org>  Fri, 24 Nov 2017 20:56:24 +0100
