=== debian/control ===
Source: erlang-jose
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base64url
Standards-Version: 4.1.3
Homepage: https://github.com/potatosalad/erlang-jose
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose

Package: erlang-jose
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends}, ${erlang:Depends}, 
 erlang-base64url
Description: JSON Object Signing and Encryption (JOSE) for Erlang
 JOSE stands for JSON Object Signing and Encryption which is a is a set of
 standards established by the JOSE Working Group.
 JOSE is split into 5 main components:
  * JOSE.JWA - JSON Web Algorithms (JWA) RFC 7518
  * JOSE.JWE - JSON Web Encryption (JWE) RFC 7516
  * JOSE.JWK - JSON Web Key (JWK) RFC 7517
  * JOSE.JWS - JSON Web Signature (JWS) RFC 7515
  * JOSE.JWT - JSON Web Token (JWT) RFC 7519
 Additional specifications and drafts implemented:
  * JSON Web Key (JWK) Thumbprint RFC 7638
  * JWS Unencoded Payload Option RFC 7797
