=== debian/changelog ===
erlang-jose (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.3.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Tue, 01 Jan 2019 22:26:13 +0100

erlang-jose (1.8.4-4) unstable; urgency=medium

  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)
  * Removed "warnings_as_errors" from rebar.config to fix FTBFS with
    Erlang/OTP 21 (Closes: #910312)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 14:44:56 +0200

erlang-jose (1.8.4-3) unstable; urgency=medium

  * Switched to debhelper 11
  * Whitespace fix in debian/control
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 13:03:49 +0200
