=== debian/changelog ===
erlang-jose (1.10.1-1) unstable; urgency=medium

  * Updated debhelper compat version: 12
  * New upstream version 1.10.1
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Feb 2020 21:05:50 +0100

erlang-jose (1.9.0-2) unstable; urgency=medium

  * Updated Standards-Version: 4.4.0 (no changes needed)
  * Updated Erlang dependencies
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 11:38:19 +0200
