=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-rebar,
                erlang-base64url
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
 Homepage: https://github.com/potatosalad/erlang-jose
