=== debian/changelog ===
erlang-jose (1.11.1-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 17:41:53 +0100

erlang-jose (1.11.1-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 16:06:04 +0100

erlang-jose (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Added debian/erlang-jose.install
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 20:36:52 +0100

erlang-jose (1.10.1-2) unstable; urgency=medium

  * Removed 'warnings_as_errors' from rebar.conf to prevent FTBFS
    (Closes: #964649)

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 19:10:30 +0200
