=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base64url
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
 Homepage: https://github.com/potatosalad/erlang-jose
@@ -19,6 +19,7 @@
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
          erlang-base64url
+Multi-Arch: allowed
 Description: JSON Object Signing and Encryption (JOSE) for Erlang
  JOSE stands for JSON Object Signing and Encryption which is a is a set of
  standards established by the JOSE Working Group.
