=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-jose_$1.tar.gz/" \
         https://github.com/potatosalad/erlang-jose/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
