## erlang-jose 1.11.2

=== debian/changelog ===
erlang-jose (1.11.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Philipp Huebner ]
  * Updated debian/watch/

 -- Philipp Huebner <debalance@debian.org>  Tue, 21 Dec 2021 07:58:09 +0100

erlang-jose (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2 (Closes: #992998)
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Dropped debian/patches/* and (build-)dependency on erlang-base64url
  * Added debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 18:17:18 +0200
