=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar,
-               erlang-base64url
-Standards-Version: 4.5.1
+               dh-rebar
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
 Homepage: https://github.com/potatosalad/erlang-jose
@@ -16,9 +15,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
-         ${erlang:Depends},
-         erlang-base64url
+         erlang-base | ${erlang-abi:Depends},
+         ${erlang:Depends}
 Multi-Arch: allowed
 Description: JSON Object Signing and Encryption (JOSE) for Erlang
  JOSE stands for JSON Object Signing and Encryption which is a is a set of
