=== debian/changelog ===
erlang-jose (1.11.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Wed, 22 Feb 2023 08:27:03 +0100

erlang-jose (1.11.5-1) unstable; urgency=medium

  [ Philipp Huebner ]
  * New upstream version 1.11.5
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 10:13:28 +0100
