=== debian/changelog ===
erlang-jose (1.11.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Thu, 11 Jan 2024 10:24:09 +0100

erlang-jose (1.11.6-1) unstable; urgency=medium

  * New upstream version 1.11.6
  * Do not install empty 'priv' directory into package
  * Dropped debian/erlang-jose.install and fixed debian/rules instead
    (closes: #1049613)
  * Renamed debian/erlang-jose.lintian-overrides -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 15:33:32 +0100
