## erlang-jose 1.11.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PROJECT = jose
 PROJECT_DESCRIPTION = JSON Object Signing and Encryption (JOSE) for Erlang and Elixir.
-PROJECT_VERSION = 1.11.6
+PROJECT_VERSION = 1.11.10
 
 TEST_DEPS = jiffy jsone jsx libdecaf libsodium ojson proper thoas
