=== debian/changelog ===
erlang-jose (1.11.10-1) unstable; urgency=medium

  * New upstream version 1.11.10 (Closes: #1067456)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 20 Jul 2024 12:02:54 +0200
