=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,21 @@
 
 %:
 	dh $@ --buildsystem=rebar --with rebar
+
+
+override_dh_auto_install:
+	dh_auto_install
+	for file in include/*.hrl ; do \
+		fname=$$(basename $${file}) ; \
+		subdir=$$(basename $$(dirname $${file})) ; \
+		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/eredis-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
+			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/eredis-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
+			install -m 644 $${file} \
+			$(DESTDIR)/usr/lib/erlang/lib/eredis-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
+		fi ; \
+	done
+	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete
+
+override_dh_gencontrol:
+	rm -vrf $(DESTDIR)/usr/lib/erlang/lib/jose-*/priv
+	dh_gencontrol
